void Calculations() {
  lonrad = longi * PI / 180;
  //Serial.print("lonrad is: ");
  //Serial.println(lonrad, 5);
  latrad = lati * PI / 180;
  //Serial.print("latrad is: ");
  //Serial.println(latrad, 5);
  fuse = (longi / 6) + 31;
  //Serial.print("fuse is: ");
  //Serial.println(fuse);
  centmer = 6 * fuse - 183;
  //Serial.print("centmer is: ");
  //Serial.println(centmer);
  deltalambda = lonrad - ((centmer * PI) / 180);
  //Serial.print("deltalambda is: ");
  //Serial.println(deltalambda, 4);
  A = cos(latrad) * sin(deltalambda);
  //Serial.print("A is: ");
  //Serial.println(A, 5);
  Xi = 0.5 * log((1 + A) / (1 - A));
  //Serial.print("Xi is: ");
  //Serial.println(Xi, 5);
  Eta = atan((tan(latrad)) / cos(deltalambda)) - latrad;
  //Serial.print("Eta is: ");
  //Serial.println(Eta, 9);
  Ni = (polarradius / (pow(1 + ei2 * pow(cos(latrad), 2), 0.5))) * 0.9996;
  //Serial.print("Ni is: ");
  //Serial.println(Ni);
  Zeta = (ei2 / 2) * pow(Xi, 2) * pow(cos(latrad), 2);
  //Serial.print("Zeta is: ");
  //Serial.println(Zeta, 10);
  An1 = sin(2 * latrad);
  //Serial.print("A1 is: ");
  //Serial.println(A1, 4);
  An2 = An1 * pow(cos(latrad), 2);
  //Serial.print("A2 is: ");
  //Serial.println(A2, 4);
  J2 = latrad + (An1 / 2);
  //Serial.print("J2 is: ");
  //Serial.println(J2, 4);
  J4 = ((3 * J2) + An2) / 4;
  //Serial.print("J4 is: ");
  //Serial.println(J4, 4);
  J6 = (5 * J4 + An2 * pow(cos(latrad), 2)) / 3;
  //Serial.print("J6 is: ");
  //Serial.println(J6, 4);
  Alfa = (0.75) * ei2;
  //Serial.print("Alfa is: ");
  //Serial.println(Alfa, 4);
  Beta = 1.666666 * pow(Alfa, 2);
  //Serial.print("Beta is: ");
  //Serial.println(Beta, 10);
  Gamma = 1.296296296 * (pow(Alfa, 3));
  //Serial.print("Gamma is: ");
  //Serial.println(Gamma, 10);
  Bfi = 0.9996 * polarradius * (latrad - (Alfa * J2) + (Beta * J4) - (Gamma * J6));
  //Serial.print("Bfi is: ");
  //Serial.println(Bfi, 4);
  Band();
  Easting = Xi * Ni * (1 + Zeta / 3) + 500000;
  if (Hemisphere == "N") {
    Northing = Eta * Ni * (1 + Zeta) + Bfi;
  } else if (Hemisphere == "S") {
    Northing = Eta * Ni * (1 + Zeta) + Bfi + 10000000;
  }
}
